Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226116 - Merge Review: mailcap
Summary: Merge Review: mailcap
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:36 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-24 13:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-24 13:08:56 UTC
gwync: fedora-review+


Attachments (Terms of Use)
Patch to correct macro in changelog. (deleted)
2007-12-26 21:02 UTC, Gwyn Ciesla
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:36:32 UTC
Fedora Merge Review: mailcap

http://cvs.fedora.redhat.com/viewcvs/devel/mailcap/
Initial Owner: mlichvar@redhat.com

Comment 1 Gwyn Ciesla 2007-12-26 20:11:42 UTC
rpmlint:
SRPM:
mailcap.src:164: W: macro-in-%changelog variables
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

mailcap.src: W: no-url-tag
The URL tag is missing.


RPM:
mailcap.noarch: W: no-url-tag
The URL tag is missing.


These are fixed by changing %variables in 164 to %%variables, and including a
URL tag.  Who is techincally upstream, Red Hat or Fedora?

Comment 2 Ville Skyttä 2007-12-26 20:30:16 UTC
See also bug 388481

Comment 3 Gwyn Ciesla 2007-12-26 20:37:32 UTC
Agreed.

Comment 4 Gwyn Ciesla 2007-12-26 21:02:45 UTC
Created attachment 290424 [details]
Patch to correct macro in changelog.

Comment 5 Miroslav Lichvar 2008-01-22 15:49:13 UTC
mailcap currently doesn't have a home page. It will be moved to
hosted.fedoraproject.org once there is a place to upload tarballs.

In mailcap-2.1.26, the macro in changelog is escaped and there is a comment
added how to create the tarball.

Comment 6 Gwyn Ciesla 2008-01-22 17:28:42 UTC
When will that be?  Because everything else about this checks out, except for
issues stemming from the lack of an "upstream", i.e. Source0 URL, URL tag,
source MD5 check, etc.  Those are the only blockers.

Comment 7 Miroslav Lichvar 2008-01-24 13:00:02 UTC
The packaging guidelines don't seem to require URL tag and for the source tag
there is a comment explaining how to recreate the tarball from CVS, so I think
it's ok to approve the package if there are no other issues.

Comment 8 Gwyn Ciesla 2008-01-24 13:08:56 UTC
Ok. works for me.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.